ros-noetic-mrpt-bridge (1.0.1-1focal) focal; urgency=high

  * Add License file
  * Formatting fixes
  * Update README.md
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 02 May 2022 22:00:00 -0000

ros-noetic-mrpt-bridge (1.0.0-1focal) focal; urgency=high

  * update dep to mrpt2
  * Merge pull request #12 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/12> from MRo47/ros1
    Fixed build error for ubuntu 20.04, ros-noetic in imu.cpp
  * fixed bug (array to vec conversion -> use auto)
  * Build with opencv 4
  * fix build against mrpt2
  * update gitignore; add PUBLIC flags to deps
  * Quaternion singularity
    Check for degenerate case when converting quaternion to angles.
  * Ensure the real part of quaternions is real
    Fixes: https://github.com/mrpt-ros-pkg/pose_cov_ops/issues/7
  * time convert: fix round error in nanoseconds
  * Fix build against mrpt-2
  * Copyright notices, clang-format.
    Also, avoid some bad practices: C includes vs C++ ones; using namespace
    in headers.
  * fix build against mrpt2
    Fixed #5 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/5>
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Jose-Luis Blanco, Julian Lopez Velasquez, MRo47, Mathieu Mege, cmorcan

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Mar 2022 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.25-1focal) focal; urgency=high

  * Merge pull request #3 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/3> from tuw-robotics/master
    TPose2D to geometry_msgs::Pose
  * Update pose.h
  * TPose2D Conversion to geometry_msgs::Pose added
  * Merge pull request #2 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/2> from clalancette/fix-deb-stretch
    Fix deb stretch
  * Fix build warnings for signed/unsigned comparison.
    The width and height of the OccupancyGrid metadata are both
    uint32, so make the loop iterator type match.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Workaround Debian stretch not properly setting up Qt dependencies.
    libpcl-dev really has a dependency on Qt5Widgets, but that
    is not expressed by the Debian Stretch packages.  We workaround
    it here by forcing the dependency in both the package.xml and
    the CMakeLists.txt
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette, Jose Luis Blanco-Claraco, Markus Bader

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 10 Jul 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.24-1focal) focal; urgency=high

  * fix missing namespace
  * Reorganize build farm icons
  * Update README.md
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.23-1focal) focal; urgency=high

  * make catkin_lint clean
  * ROS build farm badges and links
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 07 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.22-1focal) focal; urgency=high

  * Release as an independent repository outside of "mrpt_navigation"

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 17 May 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.21-1focal) focal; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix warnings
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * fix build errors against mrpt master. Closes #92 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/92>
  * Fix install .h files in mrpt-bridge
    Closes #91 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/91>
  * Fix CMake error (Closes #90 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/90>)
  * marker messages are also logged as beacons if needed
  * marker msgs added
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge pull request #83 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/83> from raghavendersahdev/master
    Extending ros_bridge to playback MRPT datasets
  * Merge branch 'master' into master
  * Work done upto August 25 : added CObservationRange
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * Work done upto August 21: added stereo image support to mrpt bridge
  * small change moved beacon.h to its correct place
  * Work done from August 17 to August 18 : added Tester function test the mrpt-ros bridge and publishing ros message after conversion
  * changed test_Bridge file, testing the bridge in a different way
  * Work done from August 17 to August 18 : added a tester function of the bridge, error while compiling currently
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Work done from August 13 to August 14 : added image mrpt-ros bridge and comments
  * Work done upto August 13: added mrpt_bridge conversions for range, GPS, IMU under construction; pending: mrpt_bridge for images and comments
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Comply to clang warnings
  * Fix compilation issue with forgotten git-related text
  * Correct typo
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * fix build with MRPT 1.5.0
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * documentation patch in mrpt_bridge beacon header (#62 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/62>)
  * Fix #60 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/60>
  * Contributors: Ashish Raste, Borys Tymchenko, Hunter Laux, Jorge Santos, Jorge Santos Simón, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Jose-Luis Blanco-Claraco, Markus Bader, Nikos Koukis, Raghavender Sahdev

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.20-1focal) focal; urgency=high

  * fix warnings
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * fix build errors against mrpt master. Closes #92 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/92>
  * Fix install .h files in mrpt-bridge
    Closes #91 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/91>
  * Fix CMake error (Closes #90 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/90>)
  * marker messages are also logged as beacons if needed
  * marker msgs added
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge pull request #83 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/83> from raghavendersahdev/master
    Extending ros_bridge to playback MRPT datasets
  * Merge branch 'master' into master
  * Work done upto August 25 : added CObservationRange
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * Work done upto August 21: added stereo image support to mrpt bridge
  * small change moved beacon.h to its correct place
  * Work done from August 17 to August 18 : added Tester function test the mrpt-ros bridge and publishing ros message after conversion
  * changed test_Bridge file, testing the bridge in a different way
  * Work done from August 17 to August 18 : added a tester function of the bridge, error while compiling currently
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Work done from August 13 to August 14 : added image mrpt-ros bridge and comments
  * Work done upto August 13: added mrpt_bridge conversions for range, GPS, IMU under construction; pending: mrpt_bridge for images and comments
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Comply to clang warnings
  * Fix compilation issue with forgotten git-related text
  * Correct typo
  * Work towards mr-slam
  * Implement converion method for CNetworkOfPoses2DInf_NA specialization class
  * Add more msgs for use in mrpt_graphslam_2d
  * fix build with MRPT 1.5.0
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * documentation patch in mrpt_bridge beacon header (#62 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/62>)
  * Fix #60 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/60>
  * Contributors: Ashish Raste, Borys Tymchenko, Jorge Santos, Jorge Santos Simón, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Jose-Luis Blanco-Claraco, Markus Bader, Nikos Koukis, Raghavender Sahdev

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.19-1focal) focal; urgency=high

  * Added mrpt_ros bridge for the following messages
  * mrpt::obs::CObservationImage <--> sensor_msgs/Image
  * mrpt::obs::CObservationIMU <--> sensor_msgs/IMU
  * mrpt::obs::CObservationGPS <--> sensor_msgs/NavSatFix
  * mrpt::obs::CObservationRange <--> sensor_msgs/Range
  * mrpt::obs::CObservationStereoImages <--> 3xsensor_Image for left, right and disparity
  * also added the file test_Bridge to test the above conversions and publishing on respective ROS topics
  * Contributors: Raghavender Sahdev

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 24 Aug 2017 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.18-1focal) focal; urgency=high

  * Remove types_simple.h header to fix compilation
  * Contributors: Jose Luis Blanco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.17-1focal) focal; urgency=high

  * remove debug ::pause()
  * make catkin_lint clean
  * mrpt_bridge: Move includes in implementation file
  * mrpt_bridge: Add conversion definition in NetworkOfPoses
  * Fix indentation, formatting in pose conversion files
    Abide general code style according to Google C++ code guidelines and
    [MRPT coding style](https://github.com/MRPT/mrpt/blob/master/doc/MRPT_Coding_Style.md)
  * mrpt_bridge: Fix bug in MRPT->ROS pose conversion
    When transorfming from MRPT 3x3 form to PoseWithCovariance 6x6 form the
    yaw components were overwritten, thus resulting yaw components would
    always be 0.
  * Correct minor typo
  * mrpt_bridge: Add conversion methods for NetworkOfPoses
    Commit adds conversion methods between mrpt_msgs::NetworkOfPoses and
    mrpt::graphs::CNetworkOfPoses2DInf class instances
  * mrpt_bridge: Add conversion methods for Information-related Pose classes
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos, Jose Luis Blanco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.16-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.15-1focal) focal; urgency=high

  * mrpt_bridge: Fix bug in laserScans conversion
  * Fix new scanRange API in MRPT 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco, Nikos Koukis

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.14-1focal) focal; urgency=high

  * fix build against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.13-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.12-1focal) focal; urgency=high

  * Put the ROS log setting withing if MRPT_VERSION>=0x150 so it doesn't break the compilation agains .deb mrpt libs
  * Add a check for an empty string.
  * Strip trailing n in logs if present.
  * Add a callback function to stream MRPT logs to ROS.
  * Contributors: Jorge Santos, Logrus

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.11-1focal) focal; urgency=high

  * fix unit test error due to uninitialized tf::Pose
  * fix deprecated PCL header
  * Add landmark to bridge.
  * Contributors: Jose-Luis Blanco-Claraco, Logrus

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 20 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.10-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.9-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.8-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.7-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 19 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.6-1focal) focal; urgency=high

  * New ObservationRangeBeacon message.
  * More descriptive error msgs
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Raphael Zack

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 19 Mar 2016 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.5-1focal) focal; urgency=high

  * mrpt_bridge: BUGFIX in convert() for 360deg scans
  * Cleaner build against mrpt 1.3.0
  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Apr 2015 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.4-1focal) focal; urgency=high

  * Solved some old 'TODO' comments
  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * Start new pkg mrpt_local_obstacles.
    Fixes in package.xml's
  * Better doxygen docs
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 26 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.3-1focal) focal; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.2-1focal) focal; urgency=high

  * Fix missing build dependency (nav_msgs)

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.1-1focal) focal; urgency=high

  * First public binary release.

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.0-1focal) focal; urgency=high

  * consistent version numbers
  * Fixes broken dependencies
  * Removed obsolete rawlog_play & fix build of other nodes.
  * Fix build with mrpt 1.2.x
  * localization uses tf odom
  * localization working like amcl

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000


